/*******************************************************
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
** file = getfuncs.h
**    - Define Global Variables for getfuncs.c
**
********************************************************/
/* This file should be included after sqlcli1.h  */

SQLSMALLINT     func_list[] = {
    SQL_API_SQLALLOCCONNECT,
    SQL_API_SQLALLOCENV,
    SQL_API_SQLALLOCSTMT,
    SQL_API_SQLBINDCOL,
    SQL_API_SQLBINDFILETOCOL,
    SQL_API_SQLBINDFILETOPARAM,
    SQL_API_SQLBINDPARAMETER,
    SQL_API_SQLBROWSECONNECT,
    SQL_API_SQLCANCEL,
    SQL_API_SQLCOLATTRIBUTES,
    SQL_API_SQLCOLUMNPRIVILEGES,
    SQL_API_SQLCOLUMNS,
    SQL_API_SQLCONNECT,
    SQL_API_SQLDATASOURCES,
    SQL_API_SQLDESCRIBECOL,
    SQL_API_SQLDESCRIBEPARAM,
    SQL_API_SQLDISCONNECT,
    SQL_API_SQLDRIVERCONNECT,
    SQL_API_SQLERROR,
    SQL_API_SQLEXECDIRECT,
    SQL_API_SQLEXECUTE,
    SQL_API_SQLEXTENDEDFETCH,
    SQL_API_SQLFETCH,
    SQL_API_SQLFOREIGNKEYS,
    SQL_API_SQLFREECONNECT,
    SQL_API_SQLFREEENV,
    SQL_API_SQLFREESTMT,
    SQL_API_SQLGETCONNECTOPTION,
    SQL_API_SQLGETCURSORNAME,
    SQL_API_SQLGETDATA,
    SQL_API_SQLGETENVATTR,
    SQL_API_SQLGETFUNCTIONS,
    SQL_API_SQLGETINFO,
    SQL_API_SQLGETLENGTH,
    SQL_API_SQLGETPOSITION,
    SQL_API_SQLGETSQLCA,
    SQL_API_SQLGETSTMTOPTION,
    SQL_API_SQLGETSUBSTRING,
    SQL_API_SQLGETTYPEINFO,
    SQL_API_SQLMORERESULTS,
    SQL_API_SQLNATIVESQL,
    SQL_API_SQLNUMPARAMS,
    SQL_API_SQLNUMRESULTCOLS,
    SQL_API_SQLPARAMDATA,
    SQL_API_SQLPARAMOPTIONS,
    SQL_API_SQLPREPARE,
    SQL_API_SQLPRIMARYKEYS,
    SQL_API_SQLPROCEDURECOLUMNS,
    SQL_API_SQLPROCEDURES,
    SQL_API_SQLPUTDATA,
    SQL_API_SQLROWCOUNT,
    SQL_API_SQLSETCOLATTRIBUTES,
    SQL_API_SQLSETCONNECTION, 
    SQL_API_SQLSETCONNECTOPTION,
    SQL_API_SQLSETCURSORNAME,
    SQL_API_SQLSETENVATTR,
    SQL_API_SQLSETPARAM,
    SQL_API_SQLSETPOS,
    SQL_API_SQLSETSCROLLOPTIONS,
    SQL_API_SQLSETSTMTOPTION,
    SQL_API_SQLSPECIALCOLUMNS,
    SQL_API_SQLSTATISTICS,
    SQL_API_SQLTABLEPRIVILEGES,
    SQL_API_SQLTABLES,
SQL_API_SQLTRANSACT};

SQLCHAR         func_names[][28] = {
    "SQL_API_SQLALLOCCONNECT",
    "SQL_API_SQLALLOCENV",
    "SQL_API_SQLALLOCSTMT",
    "SQL_API_SQLBINDCOL",
    "SQL_API_SQLBINDFILETOCOL",
    "SQL_API_SQLBINDFILETOPARAM",
    "SQL_API_SQLBINDPARAMETER",
    "SQL_API_SQLBROWSECONNECT",
    "SQL_API_SQLCANCEL",
    "SQL_API_SQLCOLATTRIBUTES",
    "SQL_API_SQLCOLUMNPRIVILEGES",
    "SQL_API_SQLCOLUMNS",
    "SQL_API_SQLCONNECT",
    "SQL_API_SQLDATASOURCES",
    "SQL_API_SQLDESCRIBECOL",
    "SQL_API_SQLDESCRIBEPARAM",
    "SQL_API_SQLDISCONNECT",
    "SQL_API_SQLDRIVERCONNECT",
    "SQL_API_SQLERROR",
    "SQL_API_SQLEXECDIRECT",
    "SQL_API_SQLEXECUTE",
    "SQL_API_SQLEXTENDEDFETCH",
    "SQL_API_SQLFETCH",
    "SQL_API_SQLFOREIGNKEYS",
    "SQL_API_SQLFREECONNECT",
    "SQL_API_SQLFREEENV",
    "SQL_API_SQLFREESTMT",
    "SQL_API_SQLGETCONNECTOPTION",
    "SQL_API_SQLGETCURSORNAME",
    "SQL_API_SQLGETDATA",
    "SQL_API_SQLGETENVATTR",
    "SQL_API_SQLGETFUNCTIONS",
    "SQL_API_SQLGETINFO",
    "SQL_API_SQLGETLENGTH",
    "SQL_API_SQLGETPOSITION",
    "SQL_API_SQLSQLGETSQLCA",
    "SQL_API_SQLGETSTMTOPTION",
    "SQL_API_SQLGETSUBSTRING",
    "SQL_API_SQLGETTYPEINFO",
    "SQL_API_SQLMORERESULTS",
    "SQL_API_SQLNATIVESQL",
    "SQL_API_SQLNUMPARAMS",
    "SQL_API_SQLNUMRESULTCOLS",
    "SQL_API_SQLPARAMDATA",
    "SQL_API_SQLPARAMOPTIONS",
    "SQL_API_SQLPREPARE",
    "SQL_API_SQLPRIMARYKEYS",
    "SQL_API_SQLPROCEDURECOLUMNS",
    "SQL_API_SQLPROCEDURES",
    "SQL_API_SQLPUTDATA",
    "SQL_API_SQLROWCOUNT",
    "SQL_API_SQLSETCOLATTRIBUTES",
    "SQL_API_SQLSETCONNECTION",
    "SQL_API_SQLSETCONNECTOPTION",
    "SQL_API_SQLSETCURSORNAME",
    "SQL_API_SQLSETENVATTR",
    "SQL_API_SQLSETPARAM",
    "SQL_API_SQLSETPOS",
    "SQL_API_SQLSETSCROLLOPTIONS",
    "SQL_API_SQLSETSTMTOPTION",
    "SQL_API_SQLSPECIALCOLUMNS",
    "SQL_API_SQLSTATISTICS",
    "SQL_API_SQLTABLEPRIVILEGES",
    "SQL_API_SQLTABLES",
"SQL_API_TRANSACT"};

#define  NUM_FUNCTIONS sizeof(func_list)/sizeof(SQLSMALLINT)

char            truefalse[2][6] = {{"FALSE"}, {"TRUE"}};
