      *************************************************************************
      **
      ** Source File Name = dbstart.cbl  %I%
      **
      ** Licensed Materials - Property of IBM
      **
      ** (C) COPYRIGHT International Business Machines Corp. 1995
      ** All Rights Reserved.
      **
      ** US Government Users Restricted Rights - Use, duplication or
      ** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      **
      **
      ** PURPOSE: to dbstart a database when it has been abnormally terminated
      **
      ** APIs USED :
      **        RESTART DATABASE        sqlgstar()
      **
      **
      **    EXTERNAL DEPENDANCIES :
      **       - Compiling and linking with Micro Focus Cobol compiler.
      **
      **********************************************************************

       Identification Division.
       Program-ID. "dbstart".
 
       Data Division.
       Working-Storage Section.
      *--> sqlb0x32.cobol
           copy "sqlenv.cbl".
           copy "sqlca.cbl".

      * Local variables
       77 rc            pic s9(9) comp-5.
      *<--
       77 errloc        pic x(80).


       Procedure Division.
       Main Section.
           display "Sample COBOL program: DBSTART.CBL".

      *-->
      **************************
      * START DATABASE MANAGER *
      **************************
           call "sqlgstar" returning rc.
      *<--
           if rc equal SQLE-RC-INVSTRT
              display "The database manager is already active"
              go to End-Main.

           move "START DATABASE MANAGER" to errloc.

           display "The database has been successfully STARTED".
       End-Main.
           stop run.
