*******************************************************************************
*  
*  Source File Name: SQLCODES
*  
*  (C) COPYRIGHT International Business Machines Corp. 1987, 1995
*  All Rights Reserved
*  Licensed Materials - Property of IBM
*  
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*  
*  Function: Include File defining:
*              Labels for SQLCODES
*  
*  Operating System: SGI
*  
********************************************************************************
* SQL Return Codes in SQLCODE

* ------------ warnings ------------
* correlation without qualification
       integer*2   sql_rc_w012
       parameter ( sql_rc_w012             = 12 )

* unsupported bind/prep options
       integer*2   sql_rc_w020
       parameter ( sql_rc_w020             = 20 )

* eof
       integer*2   sql_rc_w100
       parameter ( sql_rc_w100             = 100 )

* duplicate column conistraint
       integer*2   sql_rc_w139
       parameter ( sql_rc_w139             = 139 )

* invalid syntax ignored
       integer*2   sql_rc_w143
       parameter ( sql_rc_w143             = 143 )

* explain mode incompatible
       integer*2   sql_rc_w217
       parameter ( sql_rc_w217             = 217 )

* not enough sqlvars, none filled in
       integer*2   sql_rc_w236
       parameter ( sql_rc_w236             = 236 )

* distinct type: not enough sqlvars, some filled in
       integer*2   sql_rc_w237
       parameter ( sql_rc_w237             = 237 )

* LOB type: not enough sqlvars, none filled in
       integer*2   sql_rc_w238
       parameter ( sql_rc_w238             = 238 )

* distinct type: not enough sqlvars, none filled in
       integer*2   sql_rc_w239
       parameter ( sql_rc_w239             = 239 )

* new view replaced old
       integer*2   sql_rc_w280
       parameter ( sql_rc_w280             = 280 )

* possible infinite loop
       integer*2   sql_rc_w347
       parameter ( sql_rc_w347             = 347 )

* alias target is not defined
       integer*2   sql_rc_w403
       parameter ( sql_rc_w403             = 403 )

* clause value has been replaced
       integer*2   sql_rc_w434
       parameter ( sql_rc_w434             = 434 )

* Sub-optimal query
       integer*2   sql_rc_w437
       parameter ( sql_rc_w437             = 437 )

* Function has truncated value
       integer*2   sql_rc_w445
       parameter ( sql_rc_w445             = 445 )

* Create UDF contains redundant keyw
       integer*2   sql_rc_w447
       parameter ( sql_rc_w447             = 447 )

* UDF returns a warning sqlstate
       integer*2   sql_rc_w462
       parameter ( sql_rc_w462             = 462 )

* DDL:could truncate value at runtime
       integer*2   sql_rc_w474
       parameter ( sql_rc_w474             = 474 )

* DDL:could truncate value at runtime
       integer*2   sql_rc_w477
       parameter ( sql_rc_w477             = 477 )

* duplicate referential constraint
       integer*2   sql_rc_w541
       parameter ( sql_rc_w541             = 541 )

* Isolation level escalated
       integer*2   sql_rc_w595
       parameter ( sql_rc_w595             = 595 )

* existing index used
       integer*2   sql_rc_w598
       parameter ( sql_rc_w598             = 598 )

* compare func not created for lstr
       integer*2   sql_rc_w599
       parameter ( sql_rc_w599             = 599 )

* index already exists
       integer*2   sql_rc_w605
       parameter ( sql_rc_w605             = 605 )

* unknown SQL warning another product
       integer*2   sql_rc_w965
       parameter ( sql_rc_w965             = 965 )

* XA informational message
       integer*2   sql_rc_w997
       parameter ( sql_rc_w997             = 997 )

* XA no data to return from recover
       integer*2   sql_rc_w1251
       parameter ( sql_rc_w1251            = 1251 )

* Trailing blanks are truncated
       integer*2   sql_rc_w1580
       parameter ( sql_rc_w1580            = 1580 )

* Event monitor state not changed
       integer*2   sqlm_rc_not_set
       parameter ( sqlm_rc_not_set         = 1615 )


* ------------ errors ------------
* illegal character
       integer*2   sql_rc_e007
       parameter ( sql_rc_e007             = -7 )

* string constant not terminated
       integer*2   sql_rc_e010
       parameter ( sql_rc_e010             = -10 )

* cursor or statement name = ""
       integer*2   sql_rc_e013
       parameter ( sql_rc_e013             = -13 )

* INTO clause required
       integer*2   sql_rc_e029
       parameter ( sql_rc_e029             = -29 )

* reserved
       integer*2   sql_rc_e051
       parameter ( sql_rc_e051             = -51 )

* bad SQL statement
       integer*2   sql_rc_e084
       parameter ( sql_rc_e084             = -84 )


* statement too long
       integer*2   sql_rc_e101
       parameter ( sql_rc_e101             = -101 )

* string constant too long
       integer*2   sql_rc_e102
       parameter ( sql_rc_e102             = -102 )

* invalid numeric literal
       integer*2   sql_rc_e103
       parameter ( sql_rc_e103             = -103 )

* invalid character/token
       integer*2   sql_rc_e104
       parameter ( sql_rc_e104             = -104 )

* invalid string constant
       integer*2   sql_rc_e105
       parameter ( sql_rc_e105             = -105 )

* name too long
       integer*2   sql_rc_e107
       parameter ( sql_rc_e107             = -107 )

* name has too many qualifiers
       integer*2   sql_rc_e108
       parameter ( sql_rc_e108             = -108 )

* clause not permitted
       integer*2   sql_rc_e109
       parameter ( sql_rc_e109             = -109 )

* invalid hex constant
       integer*2   sql_rc_e110
       parameter ( sql_rc_e110             = -110 )

* no column name
       integer*2   sql_rc_e111
       parameter ( sql_rc_e111             = -111 )

* operand is SQL function
       integer*2   sql_rc_e112
       parameter ( sql_rc_e112             = -112 )

* wrong nbr of insert values
       integer*2   sql_rc_e117
       parameter ( sql_rc_e117             = -117 )

* object table in from clause
       integer*2   sql_rc_e118
       parameter ( sql_rc_e118             = -118 )

* column not in group by
       integer*2   sql_rc_e119
       parameter ( sql_rc_e119             = -119 )

* clause includes SQL fn
       integer*2   sql_rc_e120
       parameter ( sql_rc_e120             = -120 )

* dup column name
       integer*2   sql_rc_e121
       parameter ( sql_rc_e121             = -121 )

* no group by
       integer*2   sql_rc_e122
       parameter ( sql_rc_e122             = -122 )

* parameter must be constant
       integer*2   sql_rc_notconst
       parameter ( sql_rc_notconst         = -123 )

* no result column
       integer*2   sql_rc_e125
       parameter ( sql_rc_e125             = -125 )

* dup distinct
       integer*2   sql_rc_e127
       parameter ( sql_rc_e127             = -127 )

* too many table names
       integer*2   sql_rc_e129
       parameter ( sql_rc_e129             = -129 )

* invalid escape character
       integer*2   sql_rc_invesc
       parameter ( sql_rc_invesc           = -130 )

* incompatible data for like
       integer*2   sql_rc_e131
       parameter ( sql_rc_e131             = -131 )

* like predicate invalid
       integer*2   sql_rc_e132
       parameter ( sql_rc_e132             = -132 )

* improper use of long string
       integer*2   sql_rc_e134
       parameter ( sql_rc_e134             = -134 )

* length of concat too long
       integer*2   sql_rc_e137
       parameter ( sql_rc_e137             = -137 )

* substr arg out of range
       integer*2   sql_rc_e138
       parameter ( sql_rc_e138             = -138 )

* syntax not supported
       integer*2   sql_rc_e142
       parameter ( sql_rc_e142             = -142 )

* unsupported ANSI syntax
       integer*2   sql_rc_e146
       parameter ( sql_rc_e146             = -146 )

* view not updatable
       integer*2   sql_rc_e150
       parameter ( sql_rc_e150             = -150 )

* column not updatable
       integer*2   sql_rc_e151
       parameter ( sql_rc_e151             = -151 )

* no column list
       integer*2   sql_rc_e153
       parameter ( sql_rc_e153             = -153 )

* trigger trans tbl not modifiable
       integer*2   sql_rc_e155
       parameter ( sql_rc_e155             = -155 )

* command not allowed on view
       integer*2   sql_rc_e156
       parameter ( sql_rc_e156             = -156 )

* view name in foreign key
       integer*2   sql_rc_e157
       parameter ( sql_rc_e157             = -157 )

* nbr of columns does not match
       integer*2   sql_rc_e158
       parameter ( sql_rc_e158             = -158 )

* drop view on table
       integer*2   sql_rc_e159
       parameter ( sql_rc_e159             = -159 )

* with check not allowed on view
       integer*2   sql_rc_e160
       parameter ( sql_rc_e160             = -160 )

* with check violation
       integer*2   sql_rc_e161
       parameter ( sql_rc_e161             = -161 )

* nbr of arguments invalid
       integer*2   sql_rc_e170
       parameter ( sql_rc_e170             = -170 )

* argument invalid
       integer*2   sql_rc_e171
       parameter ( sql_rc_e171             = -171 )

* function name invalid
       integer*2   sql_rc_e172
       parameter ( sql_rc_e172             = -172 )

* translate scalar argument invalid
       integer*2   sql_rc_e176
       parameter ( sql_rc_e176             = -176 )

* datetime syntax invalid
       integer*2   sql_rc_e180
       parameter ( sql_rc_e180             = -180 )

* datetime value invalid
       integer*2   sql_rc_e181
       parameter ( sql_rc_e181             = -181 )

* datetime arithmetic invalid
       integer*2   sql_rc_e182
       parameter ( sql_rc_e182             = -182 )

* datetime arithmetic out of range
       integer*2   sql_rc_e183
       parameter ( sql_rc_e183             = -183 )

* datetime register is invalid
       integer*2   sql_rc_dtmereg
       parameter ( sql_rc_dtmereg          = -187 )

* truncated DBCS character found
       integer*2   sql_rc_dbcstrunc
       parameter ( sql_rc_dbcstrunc        = -191 )

* NOT NULL needs DEFAULT
       integer*2   sql_rc_e193
       parameter ( sql_rc_e193             = -193 )

* no qualified columns in ORDER BY
       integer*2   sql_rc_e197
       parameter ( sql_rc_e197             = -197 )

* no statement text
       integer*2   sql_rc_e198
       parameter ( sql_rc_e198             = -198 )

* illegal use of reserved word
       integer*2   sql_rc_e199
       parameter ( sql_rc_e199             = -199 )


* ambiguous column reference
       integer*2   sql_rc_e203
       parameter ( sql_rc_e203             = -203 )

* undefined name
       integer*2   sql_rc_e204
       parameter ( sql_rc_e204             = -204 )

* not a column
       integer*2   sql_rc_e205
       parameter ( sql_rc_e205             = -205 )

* not a column of referenced tables
       integer*2   sql_rc_e206
       parameter ( sql_rc_e206             = -206 )

* cannot orderby column name w/union
       integer*2   sql_rc_e207
       parameter ( sql_rc_e207             = -207 )

* column not part of result table
       integer*2   sql_rc_e208
       parameter ( sql_rc_e208             = -208 )

* duplicate table designator
       integer*2   sql_rc_e212
       parameter ( sql_rc_e212             = -212 )

* required explain table not exist
       integer*2   sql_rc_e219
       parameter ( sql_rc_e219             = -219 )

* bad expression in group/by or order by
       integer*2   sql_rc_e214
       parameter ( sql_rc_e214             = -214 )

* explain table has improper def
       integer*2   sql_rc_e220
       parameter ( sql_rc_e220             = -220 )

* raw device containers not allowed
       integer*2   sql_rc_e257
       parameter ( sql_rc_e257             = -257 )

* cannot add container to pool
       integer*2   sql_rc_e258
       parameter ( sql_rc_e258             = -258 )

* container map too big
       integer*2   sql_rc_e259
       parameter ( sql_rc_e259             = -259 )

* cannot add containers to tablespace
       integer*2   sql_rc_e281
       parameter ( sql_rc_e281             = -281 )

* cannot drop tblspace, tbl conflict
       integer*2   sql_rc_e282
       parameter ( sql_rc_e282             = -282 )

* cannot drop only temp tablespace
       integer*2   sql_rc_e283
       parameter ( sql_rc_e283             = -283 )

* invalid tablespace type for clause
       integer*2   sql_rc_e284
       parameter ( sql_rc_e284             = -284 )

* all table parts must be in tblspce
       integer*2   sql_rc_e285
       parameter ( sql_rc_e285             = -285 )

* need default tblspce for new tables
       integer*2   sql_rc_e286
       parameter ( sql_rc_e286             = -286 )

* SYSCATSPACE not for user objects
       integer*2   sql_rc_e287
       parameter ( sql_rc_e287             = -287 )

* long tablespace cannot use system
       integer*2   sql_rc_e288
       parameter ( sql_rc_e288             = -288 )

* cannot allocate new pages in tablespace
       integer*2   sql_rc_e289
       parameter ( sql_rc_e289             = -289 )

* access to tablespace not allowed
       integer*2   sql_rc_e290
       parameter ( sql_rc_e290             = -290 )

* invalid state transition
       integer*2   sql_rc_e291
       parameter ( sql_rc_e291             = -291 )

* cannot create internal db file
       integer*2   sql_rc_e292
       parameter ( sql_rc_e292             = -292 )

* error accessing container
       integer*2   sql_rc_e293
       parameter ( sql_rc_e293             = -293 )

* container already in use
       integer*2   sql_rc_e294
       parameter ( sql_rc_e294             = -294 )

* container names too long
       integer*2   sql_rc_e295
       parameter ( sql_rc_e295             = -295 )

* tablespace limit exceeded
       integer*2   sql_rc_e296
       parameter ( sql_rc_e296             = -296 )

* container pathname too long
       integer*2   sql_rc_e297
       parameter ( sql_rc_e297             = -297 )

* bad container pathname
       integer*2   sql_rc_e298
       parameter ( sql_rc_e298             = -298 )

* container already added
       integer*2   sql_rc_e299
       parameter ( sql_rc_e299             = -299 )


* host variable has invalid type
       integer*2   sql_rc_e301
       parameter ( sql_rc_e301             = -301 )

* host variable value too large
       integer*2   sql_rc_e302
       parameter ( sql_rc_e302             = -302 )

* data types not comparable
       integer*2   sql_rc_e303
       parameter ( sql_rc_e303             = -303 )

* value not in range of host var
       integer*2   sql_rc_e304
       parameter ( sql_rc_e304             = -304 )

* host var cannot be null
       integer*2   sql_rc_e305
       parameter ( sql_rc_e305             = -305 )

* host var limit reached
       integer*2   sql_rc_e308
       parameter ( sql_rc_e308             = -308 )

* host var should not be null
       integer*2   sql_rc_e309
       parameter ( sql_rc_e309             = -309 )

* length of host var is negative
       integer*2   sql_rc_e311
       parameter ( sql_rc_e311             = -311 )

* unusable host variable
       integer*2   sql_rc_e312
       parameter ( sql_rc_e312             = -312 )

* wrong nbr of host variables
       integer*2   sql_rc_e313
       parameter ( sql_rc_e313             = -313 )

* no conversn source-cp to target-cp
       integer*2   sql_rc_e332
       parameter ( sql_rc_e332             = -332 )

* converion overflow
       integer*2   sql_rc_e334
       parameter ( sql_rc_e334             = -334 )

* duplicate common table expression
       integer*2   sql_rc_e340
       parameter ( sql_rc_e340             = -340 )

* cyclic ref between comm tbl exp
       integer*2   sql_rc_e341
       parameter ( sql_rc_e341             = -341 )

* comm tbl exp use UNION ALL
       integer*2   sql_rc_e342
       parameter ( sql_rc_e342             = -342 )

* col names required
       integer*2   sql_rc_e343
       parameter ( sql_rc_e343             = -343 )

* columns must match exactly
       integer*2   sql_rc_e344
       parameter ( sql_rc_e344             = -344 )

* cannot use GROUP BY or HAVING here
       integer*2   sql_rc_e345
       parameter ( sql_rc_e345             = -345 )

* invalid reference to comm tbl exp
       integer*2   sql_rc_e346
       parameter ( sql_rc_e346             = -346 )

* LOB col cannot be idx, key, constr
       integer*2   sql_rc_e350
       parameter ( sql_rc_e350             = -350 )

* LOB col cannot be selected by DRDA
       integer*2   sql_rc_e351
       parameter ( sql_rc_e351             = -351 )

* LOB col cannot be inserted by DRDA
       integer*2   sql_rc_e352
       parameter ( sql_rc_e352             = -352 )

* LOB col cannot be logged
       integer*2   sql_rc_e355
       parameter ( sql_rc_e355             = -355 )


* operands not comparable
       integer*2   sql_rc_e401
       parameter ( sql_rc_e401             = -401 )

* invalid type for arithmetic op
       integer*2   sql_rc_e402
       parameter ( sql_rc_e402             = -402 )

* alias object undefined
       integer*2   sql_rc_e403
       parameter ( sql_rc_e403             = -403 )

* update/insert string too long
       integer*2   sql_rc_e404
       parameter ( sql_rc_e404             = -404 )

* numeric literal out of range
       integer*2   sql_rc_e405
       parameter ( sql_rc_e405             = -405 )

* derived value out of range
       integer*2   sql_rc_e406
       parameter ( sql_rc_e406             = -406 )

* column cannot be null
       integer*2   sql_rc_e407
       parameter ( sql_rc_e407             = -407 )

* invalid data type for column
       integer*2   sql_rc_e408
       parameter ( sql_rc_e408             = -408 )

* invalid operand for count
       integer*2   sql_rc_e409
       parameter ( sql_rc_e409             = -409 )

* float literal too long
       integer*2   sql_rc_e410
       parameter ( sql_rc_e410             = -410 )

* multiple columns in subquery
       integer*2   sql_rc_e412
       parameter ( sql_rc_e412             = -412 )

* overflow during data conversion
       integer*2   sql_rc_e413
       parameter ( sql_rc_e413             = -413 )

* incompatible data types for union
       integer*2   sql_rc_e415
       parameter ( sql_rc_e415             = -415 )

* long string in union
       integer*2   sql_rc_e416
       parameter ( sql_rc_e416             = -416 )

* invalid use of parameter markers
       integer*2   sql_rc_e417
       parameter ( sql_rc_e417             = -417 )

* parameter marker in select clause
       integer*2   sql_rc_e418
       parameter ( sql_rc_e418             = -418 )

* division produced negative scale
       integer*2   sql_rc_e419
       parameter ( sql_rc_e419             = -419 )

* invalid character in input string
       integer*2   sql_rc_e420
       parameter ( sql_rc_e420             = -420 )

* diff number of columns for union
       integer*2   sql_rc_e421
       parameter ( sql_rc_e421             = -421 )

* Invalid handle
       integer*2   sql_rc_e423
       parameter ( sql_rc_e423             = -423 )

* dynamic COMMIT not valid
       integer*2   sql_rc_e426
       parameter ( sql_rc_e426             = -426 )

* dynamic ROLLBACK not valid
       integer*2   sql_rc_e427
       parameter ( sql_rc_e427             = -427 )

* DISCONNECT in unit of work notallow
       integer*2   sql_rc_e428
       parameter ( sql_rc_e428             = -428 )

* Handle table full
       integer*2   sql_rc_e429
       parameter ( sql_rc_e429             = -429 )

* UDF abnormal end
       integer*2   sql_rc_e430
       parameter ( sql_rc_e430             = -430 )

* UDF interrupted
       integer*2   sql_rc_e431
       parameter ( sql_rc_e431             = -431 )

* Parameter marker cannot have udf nm
       integer*2   sql_rc_e432
       parameter ( sql_rc_e432             = -432 )

* Value is too long
       integer*2   sql_rc_e433
       parameter ( sql_rc_e433             = -433 )

* Inv SQLSTATE in RAISE_ERROR
       integer*2   sql_rc_e435
       parameter ( sql_rc_e435             = -435 )

* C language char string missing NUL
       integer*2   sql_rc_e436
       parameter ( sql_rc_e436             = -436 )

* App raised error
       integer*2   sql_rc_e438
       parameter ( sql_rc_e438             = -438 )

* Error in UDF
       integer*2   sql_rc_e439
       parameter ( sql_rc_e439             = -439 )

* No function with compatible arg
       integer*2   sql_rc_e440
       parameter ( sql_rc_e440             = -440 )

* Invalid use of DISTINCT with scalar
       integer*2   sql_rc_e441
       parameter ( sql_rc_e441             = -441 )

* Error refering function in DML
       integer*2   sql_rc_e442
       parameter ( sql_rc_e442             = -442 )

* UDF returns error sqlstate
       integer*2   sql_rc_e443
       parameter ( sql_rc_e443             = -443 )

* Unable to access UDF function
       integer*2   sql_rc_e444
       parameter ( sql_rc_e444             = -444 )

* Exceed max number of parameters
       integer*2   sql_rc_e448
       parameter ( sql_rc_e448             = -448 )

* Invalid EXTERNAL NAME format
       integer*2   sql_rc_e449
       parameter ( sql_rc_e449             = -449 )

* UDF generates too long result value
       integer*2   sql_rc_e450
       parameter ( sql_rc_e450             = -450 )

* DDL: invalid type for external UDF
       integer*2   sql_rc_e451
       parameter ( sql_rc_e451             = -451 )

* Hostvar file inaccessible
       integer*2   sql_rc_e452
       parameter ( sql_rc_e452             = -452 )

* Error in RETURNS and CAST FROM
       integer*2   sql_rc_e453
       parameter ( sql_rc_e453             = -453 )

* Duplicate UDF name and signature
       integer*2   sql_rc_e454
       parameter ( sql_rc_e454             = -454 )

* Diff schema for UDF name & specific
       integer*2   sql_rc_e455
       parameter ( sql_rc_e455             = -455 )

* Duplicate specific name
       integer*2   sql_rc_e456
       parameter ( sql_rc_e456             = -456 )

* Name reserved for system use
       integer*2   sql_rc_e457
       parameter ( sql_rc_e457             = -457 )

* DDL refers UDF signature not found
       integer*2   sql_rc_e458
       parameter ( sql_rc_e458             = -458 )

* AS CAST use error
       integer*2   sql_rc_e459
       parameter ( sql_rc_e459             = -459 )

* invalid CAST
       integer*2   sql_rc_e461
       parameter ( sql_rc_e461             = -461 )

* UDF returns an invalid sqlstate
       integer*2   sql_rc_e463
       parameter ( sql_rc_e463             = -463 )

* Unable to start fenced UDF
       integer*2   sql_rc_e465
       parameter ( sql_rc_e465             = -465 )

* reserved object name
       integer*2   sql_rc_e473
       parameter ( sql_rc_e473             = -473 )

* Result type of source is different
       integer*2   sql_rc_e475
       parameter ( sql_rc_e475             = -475 )

* Reference to function is not unique
       integer*2   sql_rc_e476
       parameter ( sql_rc_e476             = -476 )

* other obj depends on this obj
       integer*2   sql_rc_e478
       parameter ( sql_rc_e478             = -478 )

* Parm num not match with source
       integer*2   sql_rc_e483
       parameter ( sql_rc_e483             = -483 )

* Boolean type is system used only
       integer*2   sql_rc_e486
       parameter ( sql_rc_e486             = -486 )

* Attempt to excute an SQL statement
       integer*2   sql_rc_e487
       parameter ( sql_rc_e487             = -487 )

* Inv BOOLEAN in select list result
       integer*2   sql_rc_e489
       parameter ( sql_rc_e489             = -489 )

* DDL: missing reqired clause
       integer*2   sql_rc_e491
       parameter ( sql_rc_e491             = -491 )

* DDL: miss match with source type
       integer*2   sql_rc_e492
       parameter ( sql_rc_e492             = -492 )

* UDF returned bad date/time value
       integer*2   sql_rc_e493
       parameter ( sql_rc_e493             = -493 )


* cursor not open (fetch/close)
       integer*2   sql_rc_e501
       parameter ( sql_rc_e501             = -501 )

* cursor already open
       integer*2   sql_rc_e502
       parameter ( sql_rc_e502             = -502 )

* column not in update clause
       integer*2   sql_rc_e503
       parameter ( sql_rc_e503             = -503 )

* cursor name not defined
       integer*2   sql_rc_e504
       parameter ( sql_rc_e504             = -504 )

* cursor not open (update/delete)
       integer*2   sql_rc_e507
       parameter ( sql_rc_e507             = -507 )

* cursor not on a row
       integer*2   sql_rc_e508
       parameter ( sql_rc_e508             = -508 )

* table not same as for cursor
       integer*2   sql_rc_e509
       parameter ( sql_rc_e509             = -509 )

* table cannot be modified
       integer*2   sql_rc_e510
       parameter ( sql_rc_e510             = -510 )

* for update not allowed
       integer*2   sql_rc_e511
       parameter ( sql_rc_e511             = -511 )

* cursor not prepared
       integer*2   sql_rc_e514
       parameter ( sql_rc_e514             = -514 )

* describe not a prepared statement
       integer*2   sql_rc_e516
       parameter ( sql_rc_e516             = -516 )

* prepared statment not a select
       integer*2   sql_rc_e517
       parameter ( sql_rc_e517             = -517 )

* execute not a prepared statement
       integer*2   sql_rc_e518
       parameter ( sql_rc_e518             = -518 )

* statement has an open cursor
       integer*2   sql_rc_e519
       parameter ( sql_rc_e519             = -519 )

* invalid foreign key value
       integer*2   sql_rc_e530
       parameter ( sql_rc_e530             = -530 )

* cannot update primary key
       integer*2   sql_rc_e531
       parameter ( sql_rc_e531             = -531 )

* delete is restricted
       integer*2   sql_rc_e532
       parameter ( sql_rc_e532             = -532 )

* multi-row insert not allowed
       integer*2   sql_rc_e533
       parameter ( sql_rc_e533             = -533 )

* multi-row update of pk
       integer*2   sql_rc_e534
       parameter ( sql_rc_e534             = -534 )

* multi-row delete not allowed
       integer*2   sql_rc_e535
       parameter ( sql_rc_e535             = -535 )

* descendent in subquery
       integer*2   sql_rc_e536
       parameter ( sql_rc_e536             = -536 )

* dup column in key def
       integer*2   sql_rc_e537
       parameter ( sql_rc_e537             = -537 )

* foreign key does not match pk
       integer*2   sql_rc_e538
       parameter ( sql_rc_e538             = -538 )

* table does not have primary key
       integer*2   sql_rc_e539
       parameter ( sql_rc_e539             = -539 )

* duplicate referential constraint
       integer*2   sql_rc_e541
       parameter ( sql_rc_e541             = -541 )

* pk column cannot allow nulls
       integer*2   sql_rc_e542
       parameter ( sql_rc_e542             = -542 )

* restricted row delete
       integer*2   sql_rc_e543
       parameter ( sql_rc_e543             = -543 )

* check contraint violated
       integer*2   sql_rc_e544
       parameter ( sql_rc_e544             = -544 )

* check contraint not satisfied
       integer*2   sql_rc_e545
       parameter ( sql_rc_e545             = -545 )

* check contraint invalid
       integer*2   sql_rc_e546
       parameter ( sql_rc_e546             = -546 )

* check contraint invalid
       integer*2   sql_rc_e548
       parameter ( sql_rc_e548             = -548 )

* authorization error w/obj insert
       integer*2   sql_rc_e551
       parameter ( sql_rc_e551             = -551 )

* auth error w/o obj ins
       integer*2   sql_rc_e552
       parameter ( sql_rc_e552             = -552 )

* SYSIBM qualifier
       integer*2   sql_rc_e553
       parameter ( sql_rc_e553             = -553 )

* cannot grant privilege to self
       integer*2   sql_rc_e554
       parameter ( sql_rc_e554             = -554 )

* cannot revoke privilege from self
       integer*2   sql_rc_e555
       parameter ( sql_rc_e555             = -555 )

* revoke stmt denied--priv not held
       integer*2   sql_rc_e556
       parameter ( sql_rc_e556             = -556 )

* invalid combination of privileges
       integer*2   sql_rc_e557
       parameter ( sql_rc_e557             = -557 )

* revoke stmt denied--has CONTROL
       integer*2   sql_rc_e558
       parameter ( sql_rc_e558             = -558 )

* privilege not allowed for public
       integer*2   sql_rc_e562
       parameter ( sql_rc_e562             = -562 )

* invalid authorization id
       integer*2   sql_rc_e567
       parameter ( sql_rc_e567             = -567 )

* user/group ambiguity
       integer*2   sql_rc_e569
       parameter ( sql_rc_e569             = -569 )

* Inoperative package
       integer*2   sql_rc_e572
       parameter ( sql_rc_e572             = -572 )

* contraint col not primary key
       integer*2   sql_rc_e573
       parameter ( sql_rc_e573             = -573 )

* DEFAULT invalid for column
       integer*2   sql_rc_e574
       parameter ( sql_rc_e574             = -574 )

* view is inoperative
       integer*2   sql_rc_e575
       parameter ( sql_rc_e575             = -575 )

* Repetitive alias chain
       integer*2   sql_rc_e576
       parameter ( sql_rc_e576             = -576 )

* Result of CASE expr cannot be NULL
       integer*2   sql_rc_e580
       parameter ( sql_rc_e580             = -580 )

* Data types of CASE expr incompat
       integer*2   sql_rc_e581
       parameter ( sql_rc_e581             = -581 )

* Inv predicate in CASE expr
       integer*2   sql_rc_e582
       parameter ( sql_rc_e582             = -582 )

* Variant or ext action function
       integer*2   sql_rc_e583
       parameter ( sql_rc_e583             = -583 )

* Inv use of NULL or DEFAULT
       integer*2   sql_rc_e584
       parameter ( sql_rc_e584             = -584 )

* Duplicate schema name     
       integer*2   sql_rc_e585
       parameter ( sql_rc_e585             = -585 )

* Too many schema names     
       integer*2   sql_rc_e586
       parameter ( sql_rc_e586             = -586 )

* udf - dup func signature
       integer*2   sql_rc_e600
       parameter ( sql_rc_e600             = -600 )

* duplicate table/view name
       integer*2   sql_rc_e601
       parameter ( sql_rc_e601             = -601 )

* too many columns in index
       integer*2   sql_rc_e602
       parameter ( sql_rc_e602             = -602 )

* cannot create unique index
       integer*2   sql_rc_e603
       parameter ( sql_rc_e603             = -603 )

* invalid length, precision, scale
       integer*2   sql_rc_e604
       parameter ( sql_rc_e604             = -604 )

* op not allowed on system tables
       integer*2   sql_rc_e607
       parameter ( sql_rc_e607             = -607 )

* duplicate column name
       integer*2   sql_rc_e612
       parameter ( sql_rc_e612             = -612 )

* primary key too long
       integer*2   sql_rc_e613
       parameter ( sql_rc_e613             = -613 )

* index key too long
       integer*2   sql_rc_e614
       parameter ( sql_rc_e614             = -614 )

* table already has primary key
       integer*2   sql_rc_e624
       parameter ( sql_rc_e624             = -624 )

* DDL: multiple/conflict keywords
       integer*2   sql_rc_e628
       parameter ( sql_rc_e628             = -628 )

* foreign key is not nullable
       integer*2   sql_rc_e629
       parameter ( sql_rc_e629             = -629 )

* foreign key is too long
       integer*2   sql_rc_e631
       parameter ( sql_rc_e631             = -631 )

* delete rule restriction
       integer*2   sql_rc_e632
       parameter ( sql_rc_e632             = -632 )

* delete rule is restricted
       integer*2   sql_rc_e633
       parameter ( sql_rc_e633             = -633 )

* delete rule cannot be CASCADE
       integer*2   sql_rc_e634
       parameter ( sql_rc_e634             = -634 )

* dup pk or drop pk clause
       integer*2   sql_rc_e637
       parameter ( sql_rc_e637             = -637 )

* no column definitions
       integer*2   sql_rc_e638
       parameter ( sql_rc_e638             = -638 )

* invalid keyword value
       integer*2   sql_rc_e644
       parameter ( sql_rc_e644             = -644 )

* architectural size limit of object
       integer*2   sql_rc_e659
       parameter ( sql_rc_e659             = -659 )

* ref constraint does not hold
       integer*2   sql_rc_e667
       parameter ( sql_rc_e667             = -667 )

* table in CHECK PENDING state
       integer*2   sql_rc_e668
       parameter ( sql_rc_e668             = -668 )

* cannot drop primary key
       integer*2   sql_rc_e669
       parameter ( sql_rc_e669             = -669 )

* row length too large
       integer*2   sql_rc_e670
       parameter ( sql_rc_e670             = -670 )

* primary key not unique
       integer*2   sql_rc_e673
       parameter ( sql_rc_e673             = -673 )

* too many columns for table
       integer*2   sql_rc_e680
       parameter ( sql_rc_e680             = -680 )

* incompatible column constraint
       integer*2   sql_rc_e683
       parameter ( sql_rc_e683             = -683 )

* invalid trigger definition
       integer*2   sql_rc_e696
       parameter ( sql_rc_e696             = -696 )

* invalid correlation name use
       integer*2   sql_rc_e697
       parameter ( sql_rc_e697             = -697 )


* object uses reserved name
       integer*2   sql_rc_e707
       parameter ( sql_rc_e707             = -707 )

* invalid replace value for sp reg
       integer*2   sql_rc_inv_repl
       parameter ( sql_rc_inv_repl         = -713 )

* trigger error
       integer*2   sql_rc_e723
       parameter ( sql_rc_e723             = -723 )

* max level of cascading
       integer*2   sql_rc_e724
       parameter ( sql_rc_e724             = -724 )

* Invalid triggered statement
       integer*2   sql_rc_e751
       parameter ( sql_rc_e751             = -751 )

* Inoperative package
       integer*2   sql_rc_e752
       parameter ( sql_rc_e752             = -752 )

* rename table error
       integer*2   sql_rc_e750
       parameter ( sql_rc_e750             = -750 )


* divide by zero
       integer*2   sql_rc_e801
       parameter ( sql_rc_e801             = -801 )

* arith overflow or divide by zero
       integer*2   sql_rc_e802
       parameter ( sql_rc_e802             = -802 )

* distinct violation
       integer*2   sql_rc_e803
       parameter ( sql_rc_e803             = -803 )

* bad input parameters
       integer*2   sql_rc_e804
       parameter ( sql_rc_e804             = -804 )

* program not bound
       integer*2   sql_rc_e805
       parameter ( sql_rc_e805             = -805 )

* inconsistent connect semantics
       integer*2   sql_rc_e808
       parameter ( sql_rc_e808             = -808 )

* more than one row/value
       integer*2   sql_rc_e811
       parameter ( sql_rc_e811             = -811 )

* time stamp conflict
       integer*2   sql_rc_e818
       parameter ( sql_rc_e818             = -818 )

* invalid address in sqlda
       integer*2   sql_rc_e822
       parameter ( sql_rc_e822             = -822 )

* too many items in list
       integer*2   sql_rc_e840
       parameter ( sql_rc_e840             = -840 )

* connection already exists
       integer*2   sql_rc_e842
       parameter ( sql_rc_e842             = -842 )

* connection does not exist
       integer*2   sql_rc_e843
       parameter ( sql_rc_e843             = -843 )

* can't change connection settings
       integer*2   sql_rc_e847
       parameter ( sql_rc_e847             = -847 )

* TM not for 2 phase commit apps
       integer*2   sql_rc_e859
       parameter ( sql_rc_e859             = -859 )

* inv TM_DATABASE value
       integer*2   sql_rc_e865
       parameter ( sql_rc_e865             = -865 )

* connect redirect failed
       integer*2   sql_rc_e866
       parameter ( sql_rc_e866             = -866 )

* connection already exists
       integer*2   sql_rc_e868
       parameter ( sql_rc_e868             = -868 )


* non-fatal system error
       integer*2   sql_rc_e901
       parameter ( sql_rc_e901             = -901 )

* fatal error
       integer*2   sql_rc_e902
       parameter ( sql_rc_e902             = -902 )

* commit failed, rollback
       integer*2   sql_rc_e903
       parameter ( sql_rc_e903             = -903 )

* lock timeout
       integer*2   sql_rc_e904
       parameter ( sql_rc_e904             = -904 )

* drop pending
       integer*2   sql_rc_e910
       parameter ( sql_rc_e910             = -910 )

* deadlock
       integer*2   sql_rc_e911
       parameter ( sql_rc_e911             = -911 )

* too many lock requests
       integer*2   sql_rc_e912
       parameter ( sql_rc_e912             = -912 )

* dist env rollback     
       integer*2   sql_rc_e913
       parameter ( sql_rc_e913             = -913 )

* ROLLBACK required
       integer*2   sql_rc_e918
       parameter ( sql_rc_e918             = -918 )

* reject DB connection to SA REQ
       integer*2   sql_rc_e920
       parameter ( sql_rc_e920             = -920 )

* COMMIT not allowed
       integer*2   sql_rc_e925
       parameter ( sql_rc_e925             = -925 )

* ROLLBACK not allowed
       integer*2   sql_rc_e926
       parameter ( sql_rc_e926             = -926 )

* insufficient storage
       integer*2   sql_rc_e930
       parameter ( sql_rc_e930             = -930 )

* all inodes used, system limit
       integer*2   sql_rc_inode
       parameter ( sql_rc_inode            = -931 )

* cursors active on dropped object
       integer*2   sql_rc_e950
       parameter ( sql_rc_e950             = -950 )

* table in use - alter disallowed
       integer*2   sql_rc_e951
       parameter ( sql_rc_e951             = -951 )

* user cancel
       integer*2   sql_rc_e952
       parameter ( sql_rc_e952             = -952 )

* agent heap too small
       integer*2   sql_rc_e953
       parameter ( sql_rc_e953             = -953 )

* application heap too small
       integer*2   sql_rc_e954
       parameter ( sql_rc_e954             = -954 )

* sort heap error
       integer*2   sql_rc_e955
       parameter ( sql_rc_e955             = -955 )

* database heap too small
       integer*2   sql_rc_e956
       parameter ( sql_rc_e956             = -956 )

* requestor comm heap too small
       integer*2   sql_rc_e957
       parameter ( sql_rc_e957             = -957 )

* max number of files open
       integer*2   sql_rc_e958
       parameter ( sql_rc_e958             = -958 )

* server comm heap too small
       integer*2   sql_rc_e959
       parameter ( sql_rc_e959             = -959 )

* max nbr of files in database
       integer*2   sql_rc_e960
       parameter ( sql_rc_e960             = -960 )

* rqstr remote svcs heap too small
       integer*2   sql_rc_e961
       parameter ( sql_rc_e961             = -961 )

* svr remote svcs heap too small
       integer*2   sql_rc_e962
       parameter ( sql_rc_e962             = -962 )

* log file full
       integer*2   sql_rc_e964
       parameter ( sql_rc_e964             = -964 )

* error opening sqlcode mapping file
       integer*2   sql_rc_e966
       parameter ( sql_rc_e966             = -966 )

* format error in sqlcode map file
       integer*2   sql_rc_e967
       parameter ( sql_rc_e967             = -967 )

* disk full
       integer*2   sql_rc_e968
       parameter ( sql_rc_e968             = -968 )

* unknown sql error another product
       integer*2   sql_rc_e969
       parameter ( sql_rc_e969             = -969 )

* read-only file
       integer*2   sql_rc_e970
       parameter ( sql_rc_e970             = -970 )


* incorrect diskette
       integer*2   sql_rc_e972_db2aix
       parameter ( sql_rc_e972_db2aix      = -10019 )

* incorrect diskette
       integer*2   sql_rc_e972_db2os2
       parameter ( sql_rc_e972_db2os2      = -972 )

* incorrect diskette
       integer*2   sql_rc_e972
       parameter ( sql_rc_e972             = -10019 )


* out of memory error
       integer*2   sql_rc_e973
       parameter ( sql_rc_e973             = -973 )


* drive locked
       integer*2   sql_rc_e974_db2aix
       parameter ( sql_rc_e974_db2aix      = -10019 )

* drive locked
       integer*2   sql_rc_e974_db2os2
       parameter ( sql_rc_e974_db2os2      = -974 )

* drive locked
       integer*2   sql_rc_e974
       parameter ( sql_rc_e974             = -10019 )


* quiesce backup
       integer*2   sql_rc_qback
       parameter ( sql_rc_qback            = -975 )


* diskette door open
       integer*2   sql_rc_e976_db2aix
       parameter ( sql_rc_e976_db2aix      = -10019 )

* diskette door open
       integer*2   sql_rc_e976_db2os2
       parameter ( sql_rc_e976_db2os2      = -976 )

* diskette door open
       integer*2   sql_rc_e976
       parameter ( sql_rc_e976             = -10019 )


* unknown commit state
       integer*2   sql_rc_e977
       parameter ( sql_rc_e977             = -977 )

* diskette write-protected
       integer*2   sql_rc_e978_db2aix
       parameter ( sql_rc_e978_db2aix      = -10019 )

* diskette write-protected
       integer*2   sql_rc_e978_db2os2
       parameter ( sql_rc_e978_db2os2      = -978 )

* diskette write-protected
       integer*2   sql_rc_e978
       parameter ( sql_rc_e978             = -10019 )


* commit failed with SYNCPOINT NONE
       integer*2   sql_rc_e979
       parameter ( sql_rc_e979             = -979 )

* disk error
       integer*2   sql_rc_e980
       parameter ( sql_rc_e980             = -980 )

* disk error on temp file
       integer*2   sql_rc_e982
       parameter ( sql_rc_e982             = -982 )

* unsuccessful commit or rollback
       integer*2   sql_rc_e984
       parameter ( sql_rc_e984             = -984 )

* file error - catalog file bad
       integer*2   sql_rc_e985
       parameter ( sql_rc_e985             = -985 )

* file error - file renamed
       integer*2   sql_rc_e986
       parameter ( sql_rc_e986             = -986 )

* app ctl heap out of memory
       integer*2   sql_rc_e988
       parameter ( sql_rc_e988             = -988 )

* index structure limit error
       integer*2   sql_rc_e990
       parameter ( sql_rc_e990             = -990 )

* release number incompatible
       integer*2   sql_rc_e992
       parameter ( sql_rc_e992             = -992 )

* reserved
       integer*2   sql_rc_e994
       parameter ( sql_rc_e994             = -994 )

* error freeing pages in DMS tablespace
       integer*2   sql_rc_e996
       parameter ( sql_rc_e996             = -996 )

* General XA error
       integer*2   sql_rc_e998
       parameter ( sql_rc_e998             = -998 )


* error finding pages in DMS tablespace
       integer*2   sql_rc_e1007
       parameter ( sql_rc_e1007            = -1007 )

* invalid tablespace id
       integer*2   sql_rc_e1008
       parameter ( sql_rc_e1008            = -1008 )


* invalid use of graphic data
       integer*2   sql_rc_e1216
       parameter ( sql_rc_e1216            = -1216 )

* out of private memory
       integer*2   sql_rc_e1219
       parameter ( sql_rc_e1219            = -1219 )

* Updatale cat values inv
       integer*2   sql_rc_e1227
       parameter ( sql_rc_e1227            = -1227 )

* System error rollback
       integer*2   sql_rc_e1229
       parameter ( sql_rc_e1229            = -1229 )

* Disconn at next commit
       integer*2   sql_rc_w1244
       parameter ( sql_rc_w1244            = 1244 )

* Max client connects
       integer*2   sql_rc_e1245
       parameter ( sql_rc_e1245            = -1245 )

* XA TM uses syncpoint 2
       integer*2   sql_rc_e1247
       parameter ( sql_rc_e1247            = -1247 )

* db not defined with TM
       integer*2   sql_rc_e1248
       parameter ( sql_rc_e1248            = -1248 )

* DB2CLIENTCOMM env var inv
       integer*2   sql_rc_e1290
       parameter ( sql_rc_e1290            = -1290 )

* direcory services error
       integer*2   sql_rc_e1291
       parameter ( sql_rc_e1291            = -1291 )

* global dir error
       integer*2   sql_rc_e1293
       parameter ( sql_rc_e1293            = -1293 )

* global dir path invalid
       integer*2   sql_rc_e1294
       parameter ( sql_rc_e1294            = -1294 )

* global dir router invalid
       integer*2   sql_rc_e1295
       parameter ( sql_rc_e1295            = -1295 )


* Not Atomic Compound SQL error(s)
       integer*2   sql_rc_e1339
       parameter ( sql_rc_e1339            = -1339 )


* package not executable
       integer*2   sql_rc_e1419
       parameter ( sql_rc_e1419            = -1419 )

* too many concat operators
       integer*2   sql_rc_e1420
       parameter ( sql_rc_e1420            = -1420 )

* MBCS conversion error
       integer*2   sql_rc_e1421
       parameter ( sql_rc_e1421            = -1421 )

* Container wrong size
       integer*2   sql_rc_e1422
       parameter ( sql_rc_e1422            = -1422 )

* no blobs for dwn lvl cl
       integer*2   sql_rc_e1423
       parameter ( sql_rc_e1423            = -1423 )

* too many transition tbles
       integer*2   sql_rc_e1424
       parameter ( sql_rc_e1424            = -1424 )


* LONG not allowed on devices
       integer*2   sql_rc_e1590
       parameter ( sql_rc_e1590            = -1590 )

* Table not in check pend state
       integer*2   sql_rc_e3600
       parameter ( sql_rc_e3600            = -3600 )

* Auto Check pending state
       integer*2   sql_rc_w3601
       parameter ( sql_rc_w3601            = 3601 )

* Constraint violation moved
       integer*2   sql_rc_w3602
       parameter ( sql_rc_w3602            = 3602 )

* Constraint Violations
       integer*2   sql_rc_e3603
       parameter ( sql_rc_e3603            = -3603 )

* Invalid Exception Table
       integer*2   sql_rc_e3604
       parameter ( sql_rc_e3604            = -3604 )

* Exception Table same as Check Table
       integer*2   sql_rc_e3605
       parameter ( sql_rc_e3605            = -3605 )

* # check & exception tables not match
       integer*2   sql_rc_e3606
       parameter ( sql_rc_e3606            = -3606 )

* Parent in Check Pending state
       integer*2   sql_rc_e3608
       parameter ( sql_rc_e3608            = -3608 )


* Java support not installed
       integer*2   sql_rc_e4300
       parameter ( sql_rc_e4300            = -4300 )

* Java startup, comm, shutdown failed
       integer*2   sql_rc_e4301
       parameter ( sql_rc_e4301            = -4301 )

* Java unclassificed exception
       integer*2   sql_rc_e4302
       parameter ( sql_rc_e4302            = -4302 )

* Java cannot parse class!method
       integer*2   sql_rc_e4303
       parameter ( sql_rc_e4303            = -4303 )

* Java cannot instantiate class
       integer*2   sql_rc_e4304
       parameter ( sql_rc_e4304            = -4304 )

* Java internal error code
       integer*2   sql_rc_e4305
       parameter ( sql_rc_e4305            = -4305 )

* Java cannot call method
       integer*2   sql_rc_e4306
       parameter ( sql_rc_e4306            = -4306 )

* Java call problems
       integer*2   sql_rc_e4307
       parameter ( sql_rc_e4307            = -4307 )

* DB2CLI.PROCEDURES has wrong schema
       integer*2   sql_rc_e4308
       parameter ( sql_rc_e4308            = -4308 )


* Page number too high
       integer*2   sql_rc_e8100
       parameter ( sql_rc_e8100            = -8100 )

* Segment in error
       integer*2   sql_rc_e8101
       parameter ( sql_rc_e8101            = -8101 )


* Distribution protocol error, no disconnect
       integer*2   sql_rc_e30000
       parameter ( sql_rc_e30000           = -30000 )

* Distribution protocol error, disconnect
       integer*2   sql_rc_e30020
       parameter ( sql_rc_e30020           = -30020 )

* Distribution compatibility error
       integer*2   sql_rc_e30021
       parameter ( sql_rc_e30021           = -30021 )

* Distribution memory allocation err
       integer*2   sql_rc_e30040
       parameter ( sql_rc_e30040           = -30040 )

* Distribution memory allocation err, disconnect
       integer*2   sql_rc_e30041
       parameter ( sql_rc_e30041           = -30041 )

* Invalid command while bind in prog
       integer*2   sql_rc_e30050
       parameter ( sql_rc_e30050           = -30050 )

* Bind not active
       integer*2   sql_rc_e30051
       parameter ( sql_rc_e30051           = -30051 )

* Bind Owner authorization failure
       integer*2   sql_rc_e30053
       parameter ( sql_rc_e30053           = -30053 )

* RDB authorization failure
       integer*2   sql_rc_e30060
       parameter ( sql_rc_e30060           = -30060 )

* RDB not found
       integer*2   sql_rc_e30061
       parameter ( sql_rc_e30061           = -30061 )

* Distribution command error
       integer*2   sql_rc_e30070
       parameter ( sql_rc_e30070           = -30070 )

* Distribution object error
       integer*2   sql_rc_e30071
       parameter ( sql_rc_e30071           = -30071 )

* Distribution parameter error
       integer*2   sql_rc_e30072
       parameter ( sql_rc_e30072           = -30072 )

* Distribution parameter value error
       integer*2   sql_rc_e30073
       parameter ( sql_rc_e30073           = -30073 )

* Distribution reply error
       integer*2   sql_rc_e30074
       parameter ( sql_rc_e30074           = -30074 )

* Communication error
       integer*2   sql_rc_e30080
       parameter ( sql_rc_e30080           = -30080 )

* Communication error
       integer*2   sql_rc_e30081
       parameter ( sql_rc_e30081           = -30081 )

* Security error
       integer*2   sql_rc_e30082
       parameter ( sql_rc_e30082           = -30082 )

* Remote operation invalid
       integer*2   sql_rc_e30090
       parameter ( sql_rc_e30090           = -30090 )

* Rebind options ignored
       integer*2   sql_rc_w30101
       parameter ( sql_rc_w30101           = 30101 )

* Connection disabled
       integer*2   sql_rc_w30102
       parameter ( sql_rc_w30102           = 30102 )


* Database Monitor SQLCODES

* bad path specified for event monitor
       integer*2   sqlm_rc_bad_path
       parameter ( sqlm_rc_bad_path        = -1612 )

* bad OPTION specified for event monitor
       integer*2   sqlm_rc_bad_option
       parameter ( sqlm_rc_bad_option      = -1613 )

* I/O error on activating event monitor
       integer*2   sqlm_rc_io_error
       parameter ( sqlm_rc_io_error        = -1614 )

* Event monitor not activated
       integer*2   sqlm_rc_not_activated
       parameter ( sqlm_rc_not_activated   = -1616 )

* Event monitor data files are full
       integer*2   sqlm_rc_evmon_full
       parameter ( sqlm_rc_evmon_full      = -1617 )

* Event monitor path is in use
       integer*2   sqlm_rc_path_in_use
       parameter ( sqlm_rc_path_in_use     = -1618 )

* Cannot drop active event monitor
       integer*2   sqlm_rc_cannot_drop
       parameter ( sqlm_rc_cannot_drop     = -1619 )

* Must commit to use event monitor
       integer*2   sqlm_rc_must_commit
       parameter ( sqlm_rc_must_commit     = -1621 )

* Invalid state
       integer*2   sqlm_rc_bad_state
       parameter ( sqlm_rc_bad_state       = -1622 )


