      *************************************************************************
      * 
      * Source File Name: SQLCODES
      * 
      * (C) COPYRIGHT International Business Machines Corp. 1987, 1995
      * All Rights Reserved
      * Licensed Materials - Property of IBM
      * 
      * US Government Users Restricted Rights - Use, duplication or
      * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      * 
      * Function: Include File defining:
      *             Labels for SQLCODES
      * 
      * Operating System: SGI
      * 
      **************************************************************************
      * SQL Return Codes in SQLCODE

      * ------------ warnings ------------
      * correlation without qualification
       78  SQL-RC-W012               VALUE    12.
      * unsupported bind/prep options
       78  SQL-RC-W020               VALUE    20.
      * eof
       78  SQL-RC-W100               VALUE    100.
      * duplicate column conistraint
       78  SQL-RC-W139               VALUE    139.
      * invalid syntax ignored
       78  SQL-RC-W143               VALUE    143.
      * explain mode incompatible
       78  SQL-RC-W217               VALUE    217.
      * not enough sqlvars, none filled in
       78  SQL-RC-W236               VALUE    236.
      * distinct type: not enough sqlvars, some filled in
       78  SQL-RC-W237               VALUE    237.
      * LOB type: not enough sqlvars, none filled in
       78  SQL-RC-W238               VALUE    238.
      * distinct type: not enough sqlvars, none filled in
       78  SQL-RC-W239               VALUE    239.
      * new view replaced old
       78  SQL-RC-W280               VALUE    280.
      * possible infinite loop
       78  SQL-RC-W347               VALUE    347.
      * alias target is not defined
       78  SQL-RC-W403               VALUE    403.
      * clause value has been replaced
       78  SQL-RC-W434               VALUE    434.
      * Sub-optimal query
       78  SQL-RC-W437               VALUE    437.
      * Function has truncated value
       78  SQL-RC-W445               VALUE    445.
      * Create UDF contains redundant keyw
       78  SQL-RC-W447               VALUE    447.
      * UDF returns a warning sqlstate
       78  SQL-RC-W462               VALUE    462.
      * DDL:could truncate value at runtime
       78  SQL-RC-W474               VALUE    474.
      * DDL:could truncate value at runtime
       78  SQL-RC-W477               VALUE    477.
      * duplicate referential constraint
       78  SQL-RC-W541               VALUE    541.
      * Isolation level escalated
       78  SQL-RC-W595               VALUE    595.
      * existing index used
       78  SQL-RC-W598               VALUE    598.
      * compare func not created for lstr
       78  SQL-RC-W599               VALUE    599.
      * index already exists
       78  SQL-RC-W605               VALUE    605.
      * unknown SQL warning another product
       78  SQL-RC-W965               VALUE    965.
      * XA informational message
       78  SQL-RC-W997               VALUE    997.
      * XA no data to return from recover
       78  SQL-RC-W1251              VALUE    1251.
      * Trailing blanks are truncated
       78  SQL-RC-W1580              VALUE    1580.
      * Event monitor state not changed
       78  SQLM-RC-NOT-SET           VALUE    1615.

      * ------------ errors ------------
      * illegal character
       78  SQL-RC-E007               VALUE    -7.
      * string constant not terminated
       78  SQL-RC-E010               VALUE    -10.
      * cursor or statement name = ""
       78  SQL-RC-E013               VALUE    -13.
      * INTO clause required
       78  SQL-RC-E029               VALUE    -29.
      * reserved
       78  SQL-RC-E051               VALUE    -51.
      * bad SQL statement
       78  SQL-RC-E084               VALUE    -84.

      * statement too long
       78  SQL-RC-E101               VALUE    -101.
      * string constant too long
       78  SQL-RC-E102               VALUE    -102.
      * invalid numeric literal
       78  SQL-RC-E103               VALUE    -103.
      * invalid character/token
       78  SQL-RC-E104               VALUE    -104.
      * invalid string constant
       78  SQL-RC-E105               VALUE    -105.
      * name too long
       78  SQL-RC-E107               VALUE    -107.
      * name has too many qualifiers
       78  SQL-RC-E108               VALUE    -108.
      * clause not permitted
       78  SQL-RC-E109               VALUE    -109.
      * invalid hex constant
       78  SQL-RC-E110               VALUE    -110.
      * no column name
       78  SQL-RC-E111               VALUE    -111.
      * operand is SQL function
       78  SQL-RC-E112               VALUE    -112.
      * wrong nbr of insert values
       78  SQL-RC-E117               VALUE    -117.
      * object table in from clause
       78  SQL-RC-E118               VALUE    -118.
      * column not in group by
       78  SQL-RC-E119               VALUE    -119.
      * clause includes SQL fn
       78  SQL-RC-E120               VALUE    -120.
      * dup column name
       78  SQL-RC-E121               VALUE    -121.
      * no group by
       78  SQL-RC-E122               VALUE    -122.
      * parameter must be constant
       78  SQL-RC-NOTCONST           VALUE    -123.
      * no result column
       78  SQL-RC-E125               VALUE    -125.
      * dup distinct
       78  SQL-RC-E127               VALUE    -127.
      * too many table names
       78  SQL-RC-E129               VALUE    -129.
      * invalid escape character
       78  SQL-RC-INVESC             VALUE    -130.
      * incompatible data for like
       78  SQL-RC-E131               VALUE    -131.
      * like predicate invalid
       78  SQL-RC-E132               VALUE    -132.
      * improper use of long string
       78  SQL-RC-E134               VALUE    -134.
      * length of concat too long
       78  SQL-RC-E137               VALUE    -137.
      * substr arg out of range
       78  SQL-RC-E138               VALUE    -138.
      * syntax not supported
       78  SQL-RC-E142               VALUE    -142.
      * unsupported ANSI syntax
       78  SQL-RC-E146               VALUE    -146.
      * view not updatable
       78  SQL-RC-E150               VALUE    -150.
      * column not updatable
       78  SQL-RC-E151               VALUE    -151.
      * no column list
       78  SQL-RC-E153               VALUE    -153.
      * trigger trans tbl not modifiable
       78  SQL-RC-E155               VALUE    -155.
      * command not allowed on view
       78  SQL-RC-E156               VALUE    -156.
      * view name in foreign key
       78  SQL-RC-E157               VALUE    -157.
      * nbr of columns does not match
       78  SQL-RC-E158               VALUE    -158.
      * drop view on table
       78  SQL-RC-E159               VALUE    -159.
      * with check not allowed on view
       78  SQL-RC-E160               VALUE    -160.
      * with check violation
       78  SQL-RC-E161               VALUE    -161.
      * nbr of arguments invalid
       78  SQL-RC-E170               VALUE    -170.
      * argument invalid
       78  SQL-RC-E171               VALUE    -171.
      * function name invalid
       78  SQL-RC-E172               VALUE    -172.
      * translate scalar argument invalid
       78  SQL-RC-E176               VALUE    -176.
      * datetime syntax invalid
       78  SQL-RC-E180               VALUE    -180.
      * datetime value invalid
       78  SQL-RC-E181               VALUE    -181.
      * datetime arithmetic invalid
       78  SQL-RC-E182               VALUE    -182.
      * datetime arithmetic out of range
       78  SQL-RC-E183               VALUE    -183.
      * datetime register is invalid
       78  SQL-RC-DTMEREG            VALUE    -187.
      * truncated DBCS character found
       78  SQL-RC-DBCSTRUNC          VALUE    -191.
      * NOT NULL needs DEFAULT
       78  SQL-RC-E193               VALUE    -193.
      * no qualified columns in ORDER BY
       78  SQL-RC-E197               VALUE    -197.
      * no statement text
       78  SQL-RC-E198               VALUE    -198.
      * illegal use of reserved word
       78  SQL-RC-E199               VALUE    -199.

      * ambiguous column reference
       78  SQL-RC-E203               VALUE    -203.
      * undefined name
       78  SQL-RC-E204               VALUE    -204.
      * not a column
       78  SQL-RC-E205               VALUE    -205.
      * not a column of referenced tables
       78  SQL-RC-E206               VALUE    -206.
      * cannot orderby column name w/union
       78  SQL-RC-E207               VALUE    -207.
      * column not part of result table
       78  SQL-RC-E208               VALUE    -208.
      * duplicate table designator
       78  SQL-RC-E212               VALUE    -212.
      * required explain table not exist
       78  SQL-RC-E219               VALUE    -219.
      * bad expression in group/by or order by
       78  SQL-RC-E214               VALUE    -214.
      * explain table has improper def
       78  SQL-RC-E220               VALUE    -220.
      * raw device containers not allowed
       78  SQL-RC-E257               VALUE    -257.
      * cannot add container to pool
       78  SQL-RC-E258               VALUE    -258.
      * container map too big
       78  SQL-RC-E259               VALUE    -259.
      * cannot add containers to tablespace
       78  SQL-RC-E281               VALUE    -281.
      * cannot drop tblspace, tbl conflict
       78  SQL-RC-E282               VALUE    -282.
      * cannot drop only temp tablespace
       78  SQL-RC-E283               VALUE    -283.
      * invalid tablespace type for clause
       78  SQL-RC-E284               VALUE    -284.
      * all table parts must be in tblspce
       78  SQL-RC-E285               VALUE    -285.
      * need default tblspce for new tables
       78  SQL-RC-E286               VALUE    -286.
      * SYSCATSPACE not for user objects
       78  SQL-RC-E287               VALUE    -287.
      * long tablespace cannot use system
       78  SQL-RC-E288               VALUE    -288.
      * cannot allocate new pages in tablespace
       78  SQL-RC-E289               VALUE    -289.
      * access to tablespace not allowed
       78  SQL-RC-E290               VALUE    -290.
      * invalid state transition
       78  SQL-RC-E291               VALUE    -291.
      * cannot create internal db file
       78  SQL-RC-E292               VALUE    -292.
      * error accessing container
       78  SQL-RC-E293               VALUE    -293.
      * container already in use
       78  SQL-RC-E294               VALUE    -294.
      * container names too long
       78  SQL-RC-E295               VALUE    -295.
      * tablespace limit exceeded
       78  SQL-RC-E296               VALUE    -296.
      * container pathname too long
       78  SQL-RC-E297               VALUE    -297.
      * bad container pathname
       78  SQL-RC-E298               VALUE    -298.
      * container already added
       78  SQL-RC-E299               VALUE    -299.

      * host variable has invalid type
       78  SQL-RC-E301               VALUE    -301.
      * host variable value too large
       78  SQL-RC-E302               VALUE    -302.
      * data types not comparable
       78  SQL-RC-E303               VALUE    -303.
      * value not in range of host var
       78  SQL-RC-E304               VALUE    -304.
      * host var cannot be null
       78  SQL-RC-E305               VALUE    -305.
      * host var limit reached
       78  SQL-RC-E308               VALUE    -308.
      * host var should not be null
       78  SQL-RC-E309               VALUE    -309.
      * length of host var is negative
       78  SQL-RC-E311               VALUE    -311.
      * unusable host variable
       78  SQL-RC-E312               VALUE    -312.
      * wrong nbr of host variables
       78  SQL-RC-E313               VALUE    -313.
      * no conversn source-cp to target-cp
       78  SQL-RC-E332               VALUE    -332.
      * converion overflow
       78  SQL-RC-E334               VALUE    -334.
      * duplicate common table expression
       78  SQL-RC-E340               VALUE    -340.
      * cyclic ref between comm tbl exp
       78  SQL-RC-E341               VALUE    -341.
      * comm tbl exp use UNION ALL
       78  SQL-RC-E342               VALUE    -342.
      * col names required
       78  SQL-RC-E343               VALUE    -343.
      * columns must match exactly
       78  SQL-RC-E344               VALUE    -344.
      * cannot use GROUP BY or HAVING here
       78  SQL-RC-E345               VALUE    -345.
      * invalid reference to comm tbl exp
       78  SQL-RC-E346               VALUE    -346.
      * LOB col cannot be idx, key, constr
       78  SQL-RC-E350               VALUE    -350.
      * LOB col cannot be selected by DRDA
       78  SQL-RC-E351               VALUE    -351.
      * LOB col cannot be inserted by DRDA
       78  SQL-RC-E352               VALUE    -352.
      * LOB col cannot be logged
       78  SQL-RC-E355               VALUE    -355.

      * operands not comparable
       78  SQL-RC-E401               VALUE    -401.
      * invalid type for arithmetic op
       78  SQL-RC-E402               VALUE    -402.
      * alias object undefined
       78  SQL-RC-E403               VALUE    -403.
      * update/insert string too long
       78  SQL-RC-E404               VALUE    -404.
      * numeric literal out of range
       78  SQL-RC-E405               VALUE    -405.
      * derived value out of range
       78  SQL-RC-E406               VALUE    -406.
      * column cannot be null
       78  SQL-RC-E407               VALUE    -407.
      * invalid data type for column
       78  SQL-RC-E408               VALUE    -408.
      * invalid operand for count
       78  SQL-RC-E409               VALUE    -409.
      * float literal too long
       78  SQL-RC-E410               VALUE    -410.
      * multiple columns in subquery
       78  SQL-RC-E412               VALUE    -412.
      * overflow during data conversion
       78  SQL-RC-E413               VALUE    -413.
      * incompatible data types for union
       78  SQL-RC-E415               VALUE    -415.
      * long string in union
       78  SQL-RC-E416               VALUE    -416.
      * invalid use of parameter markers
       78  SQL-RC-E417               VALUE    -417.
      * parameter marker in select clause
       78  SQL-RC-E418               VALUE    -418.
      * division produced negative scale
       78  SQL-RC-E419               VALUE    -419.
      * invalid character in input string
       78  SQL-RC-E420               VALUE    -420.
      * diff number of columns for union
       78  SQL-RC-E421               VALUE    -421.
      * Invalid handle
       78  SQL-RC-E423               VALUE    -423.
      * dynamic COMMIT not valid
       78  SQL-RC-E426               VALUE    -426.
      * dynamic ROLLBACK not valid
       78  SQL-RC-E427               VALUE    -427.
      * DISCONNECT in unit of work notallow
       78  SQL-RC-E428               VALUE    -428.
      * Handle table full
       78  SQL-RC-E429               VALUE    -429.
      * UDF abnormal end
       78  SQL-RC-E430               VALUE    -430.
      * UDF interrupted
       78  SQL-RC-E431               VALUE    -431.
      * Parameter marker cannot have udf nm
       78  SQL-RC-E432               VALUE    -432.
      * Value is too long
       78  SQL-RC-E433               VALUE    -433.
      * Inv SQLSTATE in RAISE_ERROR
       78  SQL-RC-E435               VALUE    -435.
      * C language char string missing NUL
       78  SQL-RC-E436               VALUE    -436.
      * App raised error
       78  SQL-RC-E438               VALUE    -438.
      * Error in UDF
       78  SQL-RC-E439               VALUE    -439.
      * No function with compatible arg
       78  SQL-RC-E440               VALUE    -440.
      * Invalid use of DISTINCT with scalar
       78  SQL-RC-E441               VALUE    -441.
      * Error refering function in DML
       78  SQL-RC-E442               VALUE    -442.
      * UDF returns error sqlstate
       78  SQL-RC-E443               VALUE    -443.
      * Unable to access UDF function
       78  SQL-RC-E444               VALUE    -444.
      * Exceed max number of parameters
       78  SQL-RC-E448               VALUE    -448.
      * Invalid EXTERNAL NAME format
       78  SQL-RC-E449               VALUE    -449.
      * UDF generates too long result value
       78  SQL-RC-E450               VALUE    -450.
      * DDL: invalid type for external UDF
       78  SQL-RC-E451               VALUE    -451.
      * Hostvar file inaccessible
       78  SQL-RC-E452               VALUE    -452.
      * Error in RETURNS and CAST FROM
       78  SQL-RC-E453               VALUE    -453.
      * Duplicate UDF name and signature
       78  SQL-RC-E454               VALUE    -454.
      * Diff schema for UDF name & specific
       78  SQL-RC-E455               VALUE    -455.
      * Duplicate specific name
       78  SQL-RC-E456               VALUE    -456.
      * Name reserved for system use
       78  SQL-RC-E457               VALUE    -457.
      * DDL refers UDF signature not found
       78  SQL-RC-E458               VALUE    -458.
      * AS CAST use error
       78  SQL-RC-E459               VALUE    -459.
      * invalid CAST
       78  SQL-RC-E461               VALUE    -461.
      * UDF returns an invalid sqlstate
       78  SQL-RC-E463               VALUE    -463.
      * Unable to start fenced UDF
       78  SQL-RC-E465               VALUE    -465.
      * reserved object name
       78  SQL-RC-E473               VALUE    -473.
      * Result type of source is different
       78  SQL-RC-E475               VALUE    -475.
      * Reference to function is not unique
       78  SQL-RC-E476               VALUE    -476.
      * other obj depends on this obj
       78  SQL-RC-E478               VALUE    -478.
      * Parm num not match with source
       78  SQL-RC-E483               VALUE    -483.
      * Boolean type is system used only
       78  SQL-RC-E486               VALUE    -486.
      * Attempt to excute an SQL statement
       78  SQL-RC-E487               VALUE    -487.
      * Inv BOOLEAN in select list result
       78  SQL-RC-E489               VALUE    -489.
      * DDL: missing reqired clause
       78  SQL-RC-E491               VALUE    -491.
      * DDL: miss match with source type
       78  SQL-RC-E492               VALUE    -492.
      * UDF returned bad date/time value
       78  SQL-RC-E493               VALUE    -493.

      * cursor not open (fetch/close)
       78  SQL-RC-E501               VALUE    -501.
      * cursor already open
       78  SQL-RC-E502               VALUE    -502.
      * column not in update clause
       78  SQL-RC-E503               VALUE    -503.
      * cursor name not defined
       78  SQL-RC-E504               VALUE    -504.
      * cursor not open (update/delete)
       78  SQL-RC-E507               VALUE    -507.
      * cursor not on a row
       78  SQL-RC-E508               VALUE    -508.
      * table not same as for cursor
       78  SQL-RC-E509               VALUE    -509.
      * table cannot be modified
       78  SQL-RC-E510               VALUE    -510.
      * for update not allowed
       78  SQL-RC-E511               VALUE    -511.
      * cursor not prepared
       78  SQL-RC-E514               VALUE    -514.
      * describe not a prepared statement
       78  SQL-RC-E516               VALUE    -516.
      * prepared statment not a select
       78  SQL-RC-E517               VALUE    -517.
      * execute not a prepared statement
       78  SQL-RC-E518               VALUE    -518.
      * statement has an open cursor
       78  SQL-RC-E519               VALUE    -519.
      * invalid foreign key value
       78  SQL-RC-E530               VALUE    -530.
      * cannot update primary key
       78  SQL-RC-E531               VALUE    -531.
      * delete is restricted
       78  SQL-RC-E532               VALUE    -532.
      * multi-row insert not allowed
       78  SQL-RC-E533               VALUE    -533.
      * multi-row update of pk
       78  SQL-RC-E534               VALUE    -534.
      * multi-row delete not allowed
       78  SQL-RC-E535               VALUE    -535.
      * descendent in subquery
       78  SQL-RC-E536               VALUE    -536.
      * dup column in key def
       78  SQL-RC-E537               VALUE    -537.
      * foreign key does not match pk
       78  SQL-RC-E538               VALUE    -538.
      * table does not have primary key
       78  SQL-RC-E539               VALUE    -539.
      * duplicate referential constraint
       78  SQL-RC-E541               VALUE    -541.
      * pk column cannot allow nulls
       78  SQL-RC-E542               VALUE    -542.
      * restricted row delete
       78  SQL-RC-E543               VALUE    -543.
      * check contraint violated
       78  SQL-RC-E544               VALUE    -544.
      * check contraint not satisfied
       78  SQL-RC-E545               VALUE    -545.
      * check contraint invalid
       78  SQL-RC-E546               VALUE    -546.
      * check contraint invalid
       78  SQL-RC-E548               VALUE    -548.
      * authorization error w/obj insert
       78  SQL-RC-E551               VALUE    -551.
      * auth error w/o obj ins
       78  SQL-RC-E552               VALUE    -552.
      * SYSIBM qualifier
       78  SQL-RC-E553               VALUE    -553.
      * cannot grant privilege to self
       78  SQL-RC-E554               VALUE    -554.
      * cannot revoke privilege from self
       78  SQL-RC-E555               VALUE    -555.
      * revoke stmt denied--priv not held
       78  SQL-RC-E556               VALUE    -556.
      * invalid combination of privileges
       78  SQL-RC-E557               VALUE    -557.
      * revoke stmt denied--has CONTROL
       78  SQL-RC-E558               VALUE    -558.
      * privilege not allowed for public
       78  SQL-RC-E562               VALUE    -562.
      * invalid authorization id
       78  SQL-RC-E567               VALUE    -567.
      * user/group ambiguity
       78  SQL-RC-E569               VALUE    -569.
      * Inoperative package
       78  SQL-RC-E572               VALUE    -572.
      * contraint col not primary key
       78  SQL-RC-E573               VALUE    -573.
      * DEFAULT invalid for column
       78  SQL-RC-E574               VALUE    -574.
      * view is inoperative
       78  SQL-RC-E575               VALUE    -575.
      * Repetitive alias chain
       78  SQL-RC-E576               VALUE    -576.
      * Result of CASE expr cannot be NULL
       78  SQL-RC-E580               VALUE    -580.
      * Data types of CASE expr incompat
       78  SQL-RC-E581               VALUE    -581.
      * Inv predicate in CASE expr
       78  SQL-RC-E582               VALUE    -582.
      * Variant or ext action function
       78  SQL-RC-E583               VALUE    -583.
      * Inv use of NULL or DEFAULT
       78  SQL-RC-E584               VALUE    -584.
      * Duplicate schema name     
       78  SQL-RC-E585               VALUE    -585.
      * Too many schema names     
       78  SQL-RC-E586               VALUE    -586.
      * udf - dup func signature
       78  SQL-RC-E600               VALUE    -600.
      * duplicate table/view name
       78  SQL-RC-E601               VALUE    -601.
      * too many columns in index
       78  SQL-RC-E602               VALUE    -602.
      * cannot create unique index
       78  SQL-RC-E603               VALUE    -603.
      * invalid length, precision, scale
       78  SQL-RC-E604               VALUE    -604.
      * op not allowed on system tables
       78  SQL-RC-E607               VALUE    -607.
      * duplicate column name
       78  SQL-RC-E612               VALUE    -612.
      * primary key too long
       78  SQL-RC-E613               VALUE    -613.
      * index key too long
       78  SQL-RC-E614               VALUE    -614.
      * table already has primary key
       78  SQL-RC-E624               VALUE    -624.
      * DDL: multiple/conflict keywords
       78  SQL-RC-E628               VALUE    -628.
      * foreign key is not nullable
       78  SQL-RC-E629               VALUE    -629.
      * foreign key is too long
       78  SQL-RC-E631               VALUE    -631.
      * delete rule restriction
       78  SQL-RC-E632               VALUE    -632.
      * delete rule is restricted
       78  SQL-RC-E633               VALUE    -633.
      * delete rule cannot be CASCADE
       78  SQL-RC-E634               VALUE    -634.
      * dup pk or drop pk clause
       78  SQL-RC-E637               VALUE    -637.
      * no column definitions
       78  SQL-RC-E638               VALUE    -638.
      * invalid keyword value
       78  SQL-RC-E644               VALUE    -644.
      * architectural size limit of object
       78  SQL-RC-E659               VALUE    -659.
      * ref constraint does not hold
       78  SQL-RC-E667               VALUE    -667.
      * table in CHECK PENDING state
       78  SQL-RC-E668               VALUE    -668.
      * cannot drop primary key
       78  SQL-RC-E669               VALUE    -669.
      * row length too large
       78  SQL-RC-E670               VALUE    -670.
      * primary key not unique
       78  SQL-RC-E673               VALUE    -673.
      * too many columns for table
       78  SQL-RC-E680               VALUE    -680.
      * incompatible column constraint
       78  SQL-RC-E683               VALUE    -683.
      * invalid trigger definition
       78  SQL-RC-E696               VALUE    -696.
      * invalid correlation name use
       78  SQL-RC-E697               VALUE    -697.

      * object uses reserved name
       78  SQL-RC-E707               VALUE    -707.
      * invalid replace value for sp reg
       78  SQL-RC-INV-REPL           VALUE    -713.
      * trigger error
       78  SQL-RC-E723               VALUE    -723.
      * max level of cascading
       78  SQL-RC-E724               VALUE    -724.
      * Invalid triggered statement
       78  SQL-RC-E751               VALUE    -751.
      * Inoperative package
       78  SQL-RC-E752               VALUE    -752.
      * rename table error
       78  SQL-RC-E750               VALUE    -750.

      * divide by zero
       78  SQL-RC-E801               VALUE    -801.
      * arith overflow or divide by zero
       78  SQL-RC-E802               VALUE    -802.
      * distinct violation
       78  SQL-RC-E803               VALUE    -803.
      * bad input parameters
       78  SQL-RC-E804               VALUE    -804.
      * program not bound
       78  SQL-RC-E805               VALUE    -805.
      * inconsistent connect semantics
       78  SQL-RC-E808               VALUE    -808.
      * more than one row/value
       78  SQL-RC-E811               VALUE    -811.
      * time stamp conflict
       78  SQL-RC-E818               VALUE    -818.
      * invalid address in sqlda
       78  SQL-RC-E822               VALUE    -822.
      * too many items in list
       78  SQL-RC-E840               VALUE    -840.
      * connection already exists
       78  SQL-RC-E842               VALUE    -842.
      * connection does not exist
       78  SQL-RC-E843               VALUE    -843.
      * can't change connection settings
       78  SQL-RC-E847               VALUE    -847.
      * TM not for 2 phase commit apps
       78  SQL-RC-E859               VALUE    -859.
      * inv TM_DATABASE value
       78  SQL-RC-E865               VALUE    -865.
      * connect redirect failed
       78  SQL-RC-E866               VALUE    -866.
      * connection already exists
       78  SQL-RC-E868               VALUE    -868.

      * non-fatal system error
       78  SQL-RC-E901               VALUE    -901.
      * fatal error
       78  SQL-RC-E902               VALUE    -902.
      * commit failed, rollback
       78  SQL-RC-E903               VALUE    -903.
      * lock timeout
       78  SQL-RC-E904               VALUE    -904.
      * drop pending
       78  SQL-RC-E910               VALUE    -910.
      * deadlock
       78  SQL-RC-E911               VALUE    -911.
      * too many lock requests
       78  SQL-RC-E912               VALUE    -912.
      * dist env rollback     
       78  SQL-RC-E913               VALUE    -913.
      * ROLLBACK required
       78  SQL-RC-E918               VALUE    -918.
      * reject DB connection to SA REQ
       78  SQL-RC-E920               VALUE    -920.
      * COMMIT not allowed
       78  SQL-RC-E925               VALUE    -925.
      * ROLLBACK not allowed
       78  SQL-RC-E926               VALUE    -926.
      * insufficient storage
       78  SQL-RC-E930               VALUE    -930.
      * all inodes used, system limit
       78  SQL-RC-INODE              VALUE    -931.
      * cursors active on dropped object
       78  SQL-RC-E950               VALUE    -950.
      * table in use - alter disallowed
       78  SQL-RC-E951               VALUE    -951.
      * user cancel
       78  SQL-RC-E952               VALUE    -952.
      * agent heap too small
       78  SQL-RC-E953               VALUE    -953.
      * application heap too small
       78  SQL-RC-E954               VALUE    -954.
      * sort heap error
       78  SQL-RC-E955               VALUE    -955.
      * database heap too small
       78  SQL-RC-E956               VALUE    -956.
      * requestor comm heap too small
       78  SQL-RC-E957               VALUE    -957.
      * max number of files open
       78  SQL-RC-E958               VALUE    -958.
      * server comm heap too small
       78  SQL-RC-E959               VALUE    -959.
      * max nbr of files in database
       78  SQL-RC-E960               VALUE    -960.
      * rqstr remote svcs heap too small
       78  SQL-RC-E961               VALUE    -961.
      * svr remote svcs heap too small
       78  SQL-RC-E962               VALUE    -962.
      * log file full
       78  SQL-RC-E964               VALUE    -964.
      * error opening sqlcode mapping file
       78  SQL-RC-E966               VALUE    -966.
      * format error in sqlcode map file
       78  SQL-RC-E967               VALUE    -967.
      * disk full
       78  SQL-RC-E968               VALUE    -968.
      * unknown sql error another product
       78  SQL-RC-E969               VALUE    -969.
      * read-only file
       78  SQL-RC-E970               VALUE    -970.

      * incorrect diskette
       78  SQL-RC-E972-DB2AIX        VALUE    -10019.
      * incorrect diskette
       78  SQL-RC-E972-DB2OS2        VALUE    -972.
      * incorrect diskette
       78  SQL-RC-E972               value    -10019.

      * out of memory error
       78  SQL-RC-E973               VALUE    -973.

      * drive locked
       78  SQL-RC-E974-DB2AIX        VALUE    -10019.
      * drive locked
       78  SQL-RC-E974-DB2OS2        VALUE    -974.
      * drive locked
       78  SQL-RC-E974               value    -10019.

      * quiesce backup
       78  SQL-RC-QBACK              VALUE    -975.

      * diskette door open
       78  SQL-RC-E976-DB2AIX        VALUE    -10019.
      * diskette door open
       78  SQL-RC-E976-DB2OS2        VALUE    -976.
      * diskette door open
       78  SQL-RC-E976               value    -10019.

      * unknown commit state
       78  SQL-RC-E977               VALUE    -977.
      * diskette write-protected
       78  SQL-RC-E978-DB2AIX        VALUE    -10019.
      * diskette write-protected
       78  SQL-RC-E978-DB2OS2        VALUE    -978.
      * diskette write-protected
       78  SQL-RC-E978               value    -10019.

      * commit failed with SYNCPOINT NONE
       78  SQL-RC-E979               VALUE    -979.
      * disk error
       78  SQL-RC-E980               VALUE    -980.
      * disk error on temp file
       78  SQL-RC-E982               VALUE    -982.
      * unsuccessful commit or rollback
       78  SQL-RC-E984               VALUE    -984.
      * file error - catalog file bad
       78  SQL-RC-E985               VALUE    -985.
      * file error - file renamed
       78  SQL-RC-E986               VALUE    -986.
      * app ctl heap out of memory
       78  SQL-RC-E988               VALUE    -988.
      * index structure limit error
       78  SQL-RC-E990               VALUE    -990.
      * release number incompatible
       78  SQL-RC-E992               VALUE    -992.
      * reserved
       78  SQL-RC-E994               VALUE    -994.
      * error freeing pages in DMS tablespace
       78  SQL-RC-E996               VALUE    -996.
      * General XA error
       78  SQL-RC-E998               VALUE    -998.

      * error finding pages in DMS tablespace
       78  SQL-RC-E1007              VALUE    -1007.
      * invalid tablespace id
       78  SQL-RC-E1008              VALUE    -1008.

      * invalid use of graphic data
       78  SQL-RC-E1216              VALUE    -1216.
      * out of private memory
       78  SQL-RC-E1219              VALUE    -1219.
      * Updatale cat values inv
       78  SQL-RC-E1227              VALUE    -1227.
      * System error rollback
       78  SQL-RC-E1229              VALUE    -1229.
      * Disconn at next commit
       78  SQL-RC-W1244              VALUE    1244.
      * Max client connects
       78  SQL-RC-E1245              VALUE    -1245.
      * XA TM uses syncpoint 2
       78  SQL-RC-E1247              VALUE    -1247.
      * db not defined with TM
       78  SQL-RC-E1248              VALUE    -1248.
      * DB2CLIENTCOMM env var inv
       78  SQL-RC-E1290              VALUE    -1290.
      * direcory services error
       78  SQL-RC-E1291              VALUE    -1291.
      * global dir error
       78  SQL-RC-E1293              VALUE    -1293.
      * global dir path invalid
       78  SQL-RC-E1294              VALUE    -1294.
      * global dir router invalid
       78  SQL-RC-E1295              VALUE    -1295.

      * Not Atomic Compound SQL error(s)
       78  SQL-RC-E1339              VALUE    -1339.

      * package not executable
       78  SQL-RC-E1419              VALUE    -1419.
      * too many concat operators
       78  SQL-RC-E1420              VALUE    -1420.
      * MBCS conversion error
       78  SQL-RC-E1421              VALUE    -1421.
      * Container wrong size
       78  SQL-RC-E1422              VALUE    -1422.
      * no blobs for dwn lvl cl
       78  SQL-RC-E1423              VALUE    -1423.
      * too many transition tbles
       78  SQL-RC-E1424              VALUE    -1424.

      * LONG not allowed on devices
       78  SQL-RC-E1590              VALUE    -1590.
      * Table not in check pend state
       78  SQL-RC-E3600              VALUE    -3600.
      * Auto Check pending state
       78  SQL-RC-W3601              VALUE    3601.
      * Constraint violation moved
       78  SQL-RC-W3602              VALUE    3602.
      * Constraint Violations
       78  SQL-RC-E3603              VALUE    -3603.
      * Invalid Exception Table
       78  SQL-RC-E3604              VALUE    -3604.
      * Exception Table same as Check Table
       78  SQL-RC-E3605              VALUE    -3605.
      * # check & exception tables not match
       78  SQL-RC-E3606              VALUE    -3606.
      * Parent in Check Pending state
       78  SQL-RC-E3608              VALUE    -3608.

      * Java support not installed
       78  SQL-RC-E4300              VALUE    -4300.
      * Java startup, comm, shutdown failed
       78  SQL-RC-E4301              VALUE    -4301.
      * Java unclassificed exception
       78  SQL-RC-E4302              VALUE    -4302.
      * Java cannot parse class!method
       78  SQL-RC-E4303              VALUE    -4303.
      * Java cannot instantiate class
       78  SQL-RC-E4304              VALUE    -4304.
      * Java internal error code
       78  SQL-RC-E4305              VALUE    -4305.
      * Java cannot call method
       78  SQL-RC-E4306              VALUE    -4306.
      * Java call problems
       78  SQL-RC-E4307              VALUE    -4307.
      * DB2CLI.PROCEDURES has wrong schema
       78  SQL-RC-E4308              VALUE    -4308.

      * Page number too high
       78  SQL-RC-E8100              VALUE    -8100.
      * Segment in error
       78  SQL-RC-E8101              VALUE    -8101.

      * Distribution protocol error, no disconnect
       78  SQL-RC-E30000             VALUE    -30000.
      * Distribution protocol error, disconnect
       78  SQL-RC-E30020             VALUE    -30020.
      * Distribution compatibility error
       78  SQL-RC-E30021             VALUE    -30021.
      * Distribution memory allocation err
       78  SQL-RC-E30040             VALUE    -30040.
      * Distribution memory allocation err, disconnect
       78  SQL-RC-E30041             VALUE    -30041.
      * Invalid command while bind in prog
       78  SQL-RC-E30050             VALUE    -30050.
      * Bind not active
       78  SQL-RC-E30051             VALUE    -30051.
      * Bind Owner authorization failure
       78  SQL-RC-E30053             VALUE    -30053.
      * RDB authorization failure
       78  SQL-RC-E30060             VALUE    -30060.
      * RDB not found
       78  SQL-RC-E30061             VALUE    -30061.
      * Distribution command error
       78  SQL-RC-E30070             VALUE    -30070.
      * Distribution object error
       78  SQL-RC-E30071             VALUE    -30071.
      * Distribution parameter error
       78  SQL-RC-E30072             VALUE    -30072.
      * Distribution parameter value error
       78  SQL-RC-E30073             VALUE    -30073.
      * Distribution reply error
       78  SQL-RC-E30074             VALUE    -30074.
      * Communication error
       78  SQL-RC-E30080             VALUE    -30080.
      * Communication error
       78  SQL-RC-E30081             VALUE    -30081.
      * Security error
       78  SQL-RC-E30082             VALUE    -30082.
      * Remote operation invalid
       78  SQL-RC-E30090             VALUE    -30090.
      * Rebind options ignored
       78  SQL-RC-W30101             VALUE    30101.
      * Connection disabled
       78  SQL-RC-W30102             VALUE    30102.

      * Database Monitor SQLCODES

      * bad path specified for event monitor
       78  SQLM-RC-BAD-PATH          VALUE    -1612.
      * bad OPTION specified for event monitor
       78  SQLM-RC-BAD-OPTION        VALUE    -1613.
      * I/O error on activating event monitor
       78  SQLM-RC-IO-ERROR          VALUE    -1614.
      * Event monitor not activated
       78  SQLM-RC-NOT-ACTIVATED     VALUE    -1616.
      * Event monitor data files are full
       78  SQLM-RC-EVMON-FULL        VALUE    -1617.
      * Event monitor path is in use
       78  SQLM-RC-PATH-IN-USE       VALUE    -1618.
      * Cannot drop active event monitor
       78  SQLM-RC-CANNOT-DROP       VALUE    -1619.
      * Must commit to use event monitor
       78  SQLM-RC-MUST-COMMIT       VALUE    -1621.
      * Invalid state
       78  SQLM-RC-BAD-STATE         VALUE    -1622.

