*******************************************************************************
**
** Source File Name = static.sqf  %I%
**
** Licensed Materials - Property of IBM
**
** (C) COPYRIGHT International Business Machines Corp. 1995
** All Rights Reserved.
**
** US Government Users Restricted Rights - Use, duplication or
** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**
**
** PURPOSE: This sample program demonstrates the use of static SQL.
**          It will determine if "SYSPLAN" exists as an entry in the
**          "name" column of the system table sysibm.systables.  If
**          it is found, "SYSPLAN" will be printed, otherwise an
**          error message will be printed.
**
*******************************************************************************

      program static
      implicit none

      include 'sqlenv.f'
      EXEC SQL INCLUDE SQLCA
* :rk.1:erk.

      EXEC SQL BEGIN DECLARE SECTION
* :rk.2:erk.
        character*12   firstname
        character*8    userid
        character*18   passwd
      EXEC SQL END DECLARE SECTION

      character*80     errloc

      print *, 'Sample Fortran Program: STATIC'

      print *, 'Enter in your user id :'
      read 100, userid
100   format (a8)      

      print *, 'Enter in your password :'
      read 100, passwd

      EXEC SQL CONNECT TO sample USER :userid USING :passwd
* :rk.3:erk.
      errloc = 'CONNECT'
      call checkerr (sqlca, errloc, *999)

      EXEC SQL SELECT firstnme INTO :firstname
     c FROM employee WHERE lastname = 'JOHNSON'
* :rk.4:erk.
      errloc = 'SELECT'
      call checkerr (sqlca, errloc, *999)
* :rk.5:erk.

      print *, 'First name = ', firstname

      EXEC SQL CONNECT RESET
* :rk.6:erk.
      errloc = 'CONNECT RESET'
      call checkerr (sqlca, errloc, *999)

  999 stop
      end
